Bug 827801 - Update MARC::Record to 2.0.3
Update MARC::Record to 2.0.3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-MARC-Record (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 01:02 EDT by Dan Scott
Modified: 2012-06-25 20:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 20:56:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Scott 2012-06-03 01:02:41 EDT
Description of problem:

The current packaged version of MARC::Record in F17 is 2.0.0 (which was released in 2007). Due to bug fixes in upstream since then, software such as Evergreen (http://evergreen-ils.org) that depends on it has to install MARC::Record from CPAN on Fedora.

Version-Release number of selected component (if applicable):

N/A

How reproducible:

Always.


Steps to Reproduce:

1. yum install perl-MARC-Record
  
Actual results:

perl-MARC-Record-2.0.0-11 is installed.

Expected results:

perl-MARC-Record-2.0.3-1 (or later) should be installed.

Additional info:

I have posted a  SPEC and SRPM for MARC::Record 2.0.3 (based on http://pkgs.fedoraproject.org/gitweb/?p=perl-MARC-Record.git) at http://bzr.coffeecode.net/scratch/perl-MARC-Record-2.0.3/ per http://fedoraproject.org/wiki/How_to_create_an_RPM_package and tested the results with rpmlint.

My apologies if this is overkill; I couldn't find a process for simply requesting an update and thought going through the process of building the package might be of some assistance.
Comment 1 Dan Scott 2012-06-11 00:20:54 EDT
Updated the spec and srpm file at:

http://bzr.coffeecode.net/scratch/perl-MARC-Record-2.0.3/

... via an overhauled spec file that removes a number of the anachronisms that I've been learning about thanks to Iain Arnell's reviews (like 829860 and 829865) and adds explicit BuildRequires entries.
Comment 2 Dan Scott 2012-06-12 00:15:01 EDT
Also, added a missing BuildRequires entry for Data::Dumper that otherwise caused the build to fail in koji.

Not a problem anymore: http://koji.fedoraproject.org/koji/taskinfo?taskID=4153334
Comment 3 Dan Scott 2012-06-13 02:08:48 EDT
Per Iain Arnell's suggestion in https://bugzilla.redhat.com/show_bug.cgi?id=829865#c3 , I'm willing to be added as a co-maintainer of this package. I've therefore asked to be granted commit & approveacls access over in pkgdb.
Comment 4 Fedora Update System 2012-06-14 18:22:33 EDT
perl-MARC-Record-2.0.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-MARC-Record-2.0.3-1.fc17
Comment 5 Fedora Update System 2012-06-15 08:30:47 EDT
Package perl-MARC-Record-2.0.3-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-MARC-Record-2.0.3-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9481/perl-MARC-Record-2.0.3-1.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-06-25 20:56:57 EDT
perl-MARC-Record-2.0.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.